Cyberduck Mountain Duck CLI

#10596 closed defect (fixed)

AWS GovCloud S3: Failure to read attributes of <bucket>

Reported by: cduser Owned by: dkocher
Priority: high Milestone: 6.9.3
Component: s3 Version: Nightly Build
Severity: major Keywords: s3 govcloud aws
Cc: Architecture:
Platform: macOS 10.13

Description (last modified by cduser)

I am getting the following error when transferring a file or directory from a GovCloud S3 bucket to a local path:

Failure to read attributes of <bucket>.

The request contained an unsupported argument. Please contact your web hosting service provider for assistance.

The directory listing is working as expected. I just run into this error when trying to download files. I verified this is working correctly in the commercial cloud accounts (e.g. us-west-1) but not GovCloud.

Change History (7)

comment:1 Changed on Feb 4, 2019 at 11:30:16 PM by cduser

  • Description modified (diff)

comment:2 Changed on Feb 5, 2019 at 4:23:26 PM by dkocher

  • Milestone set to 6.9.3
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Feb 5, 2019 at 4:26:11 PM by dkocher

Please post the transcript from the log drawer of the Transfers window. Choose ⌘-L on Mac or right-click the toolbar from the Transfers window and choose Log on Windows.

comment:4 Changed on Feb 5, 2019 at 9:13:11 PM by dkocher

Amazon S3 Transfer Acceleration is not available in the AWS GovCloud (US-West) Region. Amazon S3 Transfer Acceleration is not available in the AWS GovCloud (US-East) Region.

comment:5 follow-up: Changed on Feb 5, 2019 at 9:18:40 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Possibly fixed with r46290.

comment:6 in reply to: ↑ 5 Changed on Feb 5, 2019 at 10:06:36 PM by cduser

  • Resolution fixed deleted
  • Status changed from closed to reopened

Replying to dkocher:

Possibly fixed with r46290.

Hi dkocher,

I just installed Version 6.9.3 (29975) and unfortunately I'm running into the same issue. I tried getting the logs, but no logs show up during the download. I see logs when doing the directory listing.

Thanks!

comment:7 Changed on Feb 6, 2019 at 8:09:12 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Additional fix in r46294.

Note: See TracTickets for help on using tickets.